Class | RI::MethodEntry
In: | rdoc/ri/ri_cache.rb
Parent: | Object

### Methods

full_name new

### Attributes

name | [R] |
path_name | [R] |

### Public Class methods

new(path_name, name, is_class_method, in_class)

[Source]

    # File rdoc/ri/ri_cache.rb, line 149
        def initialize(path_name, name, is_class_method, in_class)
          @path_name = path_name
          @name = name
          @is_class_method = is_class_method
          @in_class = in_class
        end

### Public Instance methods

full_name()

[Source]

    # File rdoc/ri/ri_cache.rb, line 156
        def full_name
          res = @in_class.full_name
          unless res.empty?
            if @is_class_method
              res << "::"
            else
              res << "#"
            end
          end
          res << @name
        end

[Validate]